org.eclipse.wst.jsdt.chromium.debug.ui.editors

## Class JsDocumentProvider

- java.lang.Object
- - FileDocumentProvider
  - - org.eclipse.wst.jsdt.chromium.debug.ui.editors.JsDocumentProvider

    public class JsDocumentProvider
    extends FileDocumentProvider

Provides JavaScript content and sets up the document partitioner.

### Constructor Summary

Constructors
Constructor and Description
`JsDocumentProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IDocument` `createDocument(java.lang.Object element)`
`boolean` `isDeleted(java.lang.Object element)` Alternative implementation of the method that does not require file to be a physical file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsDocumentProvider

    public JsDocumentProvider()

### Method Detail

#### createDocument

    protected IDocument createDocument(java.lang.Object element)
                                throws CoreException

Throws:
  `CoreException`

#### isDeleted

    public boolean isDeleted(java.lang.Object element)

Alternative implementation of the method that does not require file to be a physical file.